Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030457
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2015-07-29 18:172015-08-24 17:38
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc6438a67d211
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030457: Create Price List process includes production products with 0 price in price lists based on cost

DescriptionCreate Price List process includes production products with 0 price in price lists based on cost
Steps To ReproduceAs group admin role:
   Create two products for F&B España, S.A. and set them as production
   Set them as Item and Stocked
   Create a Work Effort where one of this product is consumed and one is produced
   Process it
   Launch the Costing Background process and check an entry has been created for each product in the Costing tab at * level with a Cost different from 0
   Create a Price List Schema with Base List Price = 'Cost' in both Unit Price and List Price
   Create a sales Price List based on cost
   Create a Price List Version and add the previously created Schema
   Click on the Create Price List button
   Check the two production products have been included with a 0 price
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0079443)
AtulOpenbravo (developer)
2015-08-20 19:56

Test Plan
- Login as Group Admin.
- Create two products for F&B España, S.A. and set them as production
   Set them as Item and Stocked. Define a storage bin for product to be used as Production + in Manufacturing Tab.
- Define Activity, Process Plan and include above two products one as P+ and other as P-.
- Create Work Requirement for the above Process Plan.
- Create a Work Effort where one of this product is consumed and one is produced
   Process it.
- Launch the Costing Background process and check an entry has been created for each product in the Costing tab at * level with a Cost different from 0
- Create a Price List Schema and in Line set Base List Price = 'Cost' and Base Unit Price = 'Cost'.
- Create a sales Price List, set based on cost flag = Yes.
- Create a Price List Version and add the previously created Schema.
- Click on the Create Price List button.
- Check that two production products have been included with their proper cost.
(0079587)
hgbot (developer)
2015-08-21 20:14

Repository: erp/devel/pi
Changeset: c6438a67d2111e70720ccd4c6a550f66e4a6e711
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Aug 12 15:22:33 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/c6438a67d2111e70720ccd4c6a550f66e4a6e711 [^]

Fixes Issue 30457:Create Price List process includes production
products with 0 price in price lists based on cost

As cost register generated from Production are created under
* Organization, ad_org_id where clause part in fetching cost of
product is changed to consider records for '0' organization along
with legal entity organization.

---
M src-db/database/model/functions/M_GET_NO_TRX_PRODUCT_COST.xml
---
(0079588)
dmiguelez (developer)
2015-08-21 20:15

Code Review + Testing Ok
(0079643)
hudsonbot (developer)
2015-08-24 17:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5da132f0eb35 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-07-29 18:17 ngarcia New Issue
2015-07-29 18:17 ngarcia Assigned To => Triage Finance
2015-07-29 18:17 ngarcia Modules => Core
2015-07-29 18:17 ngarcia Triggers an Emergency Pack => No
2015-07-29 18:20 ngarcia Issue Monitored: networkb
2015-08-20 11:01 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-08-20 11:01 AtulOpenbravo Status new => scheduled
2015-08-20 19:56 AtulOpenbravo Note Added: 0079443
2015-08-21 20:14 hgbot Checkin
2015-08-21 20:14 hgbot Note Added: 0079587
2015-08-21 20:14 hgbot Status scheduled => resolved
2015-08-21 20:14 hgbot Resolution open => fixed
2015-08-21 20:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c6438a67d2111e70720ccd4c6a550f66e4a6e711 [^]
2015-08-21 20:15 dmiguelez Review Assigned To => dmiguelez
2015-08-21 20:15 dmiguelez Note Added: 0079588
2015-08-21 20:15 dmiguelez Status resolved => closed
2015-08-24 17:38 hudsonbot Checkin
2015-08-24 17:38 hudsonbot Note Added: 0079643


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker